<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/FunctionTypeId.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.FunctionTypeId</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class FunctionTypeId

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.FunctionTypeId" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line202" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="FunctionTypeId-inheritance" src="FunctionTypeId-inheritance.png" hspace="8" vspace="8" border="0" usemap="#FunctionTypeId-inheritance_map" />
<map name="FunctionTypeId-inheritance_map"><area alt="Scopes/Synopsis/ASG/TypeId.html" href="TypeId.html" shape="rect" coords="29, 7, 173, 31" />
</map>
 <div class="doc">Class for function &#40;pointer&#41; types.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="return_type">return_type</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line207" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="premod">premod</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line208" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="parameters">parameters</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line209" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">language</span>, <span class="variable">return_type</span>, <span class="variable">premod</span>, <span class="variable">parameters</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.FunctionTypeId.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line204" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.FunctionTypeId.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line211" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from TypeId">
<tr><td colspan="2" class="heading">Attributes Inherited from TypeId</td></tr>
<tr><td class="inherited"><a href="TypeId.html#language" title="attribute TypeId.language">language</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
